# EJS Weppack Compile Loader

## ⬇️️ Installation

`npm i -S ejs-webpack-compile-loader`

## 📋 Example

```javascript
const template = require("./file.ejs");
// => returns the template function compiled with ejs templating engine.
 
// And then use it somewhere in your code
await template(data) // Pass object with data
 
// Child Templates
// path is relative to where webpack is being run
<%- include templates/child -%>
```

## 🗎 Documentation

[Documentation: Using loaders](http://webpack.github.io/docs/using-loaders.html)

[EJS Options](https://github.com/mde/ejs#options)