const ejs = require('ejs')
const utils = require('loader-utils')


module.exports = function (source) {
    this.cacheable && this.cacheable();
    const options = utils.getOptions(this);

    if (options) {
        options.async = true
    }

    const template = ejs.compile(source, options ? options : {
        async: true,
        filename: this.resourcePath
    });

    return 'module.exports = ' + template;
};